Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#58156 - [python-wxpython] Cannot import wx

Attached to Project: Community Packages
Opened by Tobias Bachmann (tobac) - Saturday, 07 April 2018, 18:06 GMT
Last edited by Balló György (City-busz) - Tuesday, 10 April 2018, 09:59 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Balló György (City-busz)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

I'm the maintainer of python-wxpython-phoenix in the AUR. When trying to start "fsleyes" (which depends on wxPython 4.x and is the reason I'm maintaining python-wxpython-phoenix) with "python-wxpython" instead of my "python-wxpython-phoenix" installed, I get the following error:

Could not import wx
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/fsl/utils/platform.py", line 158, in __init__
import wx
File "/usr/lib/python3.6/site-packages/wx/__init__.py", line 17, in <module>
from wx.core import *
File "/usr/lib/python3.6/site-packages/wx/core.py", line 12, in <module>
from ._core import *
ImportError: dynamic module does not define module export function (PyInit__core)
Traceback (most recent call last):
File "/bin/fsleyes", line 11, in <module>
load_entry_point('fsleyes==0.22.4', 'console_scripts', 'fsleyes')()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 480, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2693, in load_entry_point
return ep.load()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2324, in load
return self.resolve()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 2330, in resolve
module = __import__(self.module_name, fromlist=['__name__'], level=0)
File "/usr/lib/python3.6/site-packages/fsleyes/main.py", line 32, in <module>
import wx
File "/usr/lib/python3.6/site-packages/wx/__init__.py", line 12, in <module>
__version__ = wx.__version__.VERSION_STRING
AttributeError: module 'wx' has no attribute '__version__'
This task depends upon

Closed by  Balló György (City-busz)
Tuesday, 10 April 2018, 09:59 GMT
Reason for closing:  Fixed
Additional comments about closing:  python-wxpython 4.0.1-2
Comment by Tobias Bachmann (tobac) - Saturday, 07 April 2018, 18:09 GMT
Forgot to add a summary, sorry, and can't seem to be able to edit the original task.

Loading...